Is CA Gen release 8.5/8.6 compatible with COBOL 6.1?

Document ID : KB000044709
Last Modified Date : 14/02/2018
Show Technical Document Details

Question: 

Our site will be upgrade the ENTERPRISE COBOL compiler from V5R2 to V6R1 the first half of 2017.  Will CA Gen release 8.5 or release 8.6 be compatible with IBM's ENTERPRISE COBOL V6R1?

Environment:  

CA Gen release 8.5/8.6 and Enterprise COBOL release 6.1.

Answer: 

The following statement defines the CA Gen support and certification policy for z/OS and its included components (MVS, Comm Server, JES, etc.) as well as IMS/TM, CICS/TS, Enterprise COBOL, and DB2: CA Technologies will support any current version of Gen (for those operations expressly supported by Gen) with all releases currently also supported by IBM.  CA Technologies will not provide material support to assist in the operation of Gen on non-supported releases of these IBM products, regardless of their status at the time the currently supported Gen release(s) were first made available. 

CA Technologies will perform certification testing only at major version changes for these products. For example, CICS/TS certification testing would be performed for release 5.1, and again for 6.1, but not for 5.2. CA will, when warranted by product changes, perform additional certifications between versions on an ad hoc basis. 

Please note that CA GEN release 8.5 and release 8.6 have been certified with COBOL 6.1.